%define upstream_name    Graphics-Color
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Moose equality role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graphics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::Library)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Clone)
BuildRequires: perl(MooseX::Storage::Deferred)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Graphics color is a device and library agnostic system for creating and
manipulating colors in various color spaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-5.mga8
+ Revision: 1494777
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.310.0-4.mga7
+ Revision: 1268343
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-3.mga6
+ Revision: 1027965
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.310.0-2.mga6
+ Revision: 951510
- Mageia 6 Mass Rebuild

* Fri Jan 02 2015 shlomif <shlomif> 0.310.0-1.mga5
+ Revision: 808110
- imported package perl-Graphics-Color


* Fri Jan 02 2015 cpan2dist 0.31-1mga
- initial mageia release, generated with cpan2dist
